Remove legacy generator from image/.
Created attachment 8815634
Remove legacy generator from image/.

Just replaced legacy generator with ES6 generator.

some notes:

* image/test/mochitest/test_has_transparency.html
  ES6 generator doesn't throw StopIteration, but returns object with {done, value} properties